org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ConnectedComponentTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConnectedComponentTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConnectedComponentTest.Traversals

- Enclosing class:
    ConnectedComponentTest

      public static class ConnectedComponentTest.Traversals
      extends ConnectedComponentTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ConnectedComponentTest

      `ConnectedComponentTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Vertex>` | `get_g_V_connectedComponent_hasXcomponentX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_dedup_connectedComponent_hasXcomponentX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ConnectedComponentTest

      `g_V_connectedComponent_hasXcomponentX, g_V_connectedComponent_withXEDGES_bothEXknowsXX_withXPROPERTY_NAME_clusterX_project_byXnameX_byXclusterX, g_V_dedup_connectedComponent_hasXcomponentX, g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_connectedComponent_hasXcomponentX

          public Traversal<Vertex,Vertex> get_g_V_connectedComponent_hasXcomponentX()

      Specified by:
        `get_g_V_connectedComponent_hasXcomponentX` in class `ConnectedComponentTest`

    - #### get_g_V_dedup_connectedComponent_hasXcomponentX

          public Traversal<Vertex,Vertex> get_g_V_dedup_connectedComponent_hasXcomponentX()

      Specified by:
        `get_g_V_dedup_connectedComponent_hasXcomponentX` in class `ConnectedComponentTest`

    - #### get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()

      Specified by:
        `get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX` in class `ConnectedComponentTest`

    - #### get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX

          public Traversal<Vertex,Map<String,Object>> get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX()

      Specified by:
        `get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX` in class `ConnectedComponentTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.